Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Transport_Item Class Reference

`#include <Transport.h>`

Collaboration diagram for TAO_AV_Transport_Item:

[legend]
List of all members.

## Public Methods
| TAO_AV_Transport_Item (const ACE_CString &name)
const ACE_CString & | name (void)
TAO_AV_Transport_Factory * | factory (void)
| return a pointer to the Transport factory.
void | factory (TAO_AV_Transport_Factory *factory)
| set the factory pointer's valus.
## Private Attributes
ACE_CString | name_
| Transport factory name.
TAO_AV_Transport_Factory * | factory_
| pointer to factory object.

## Constructor & Destructor Documentation

TAO_AV_Transport_Item::TAO_AV_Transport_Item | ( | const ACE_CString & | name | ) |

| creator method, the Transport name can only be set when the object is created.

## Member Function Documentation

ACE_INLINE void TAO_AV_Transport_Item::factory | ( | TAO_AV_Transport_Factory * | factory | ) |

| set the factory pointer's valus.

ACE_INLINE TAO_AV_Transport_Factory * TAO_AV_Transport_Item::factory | ( | void |  | ) |

| return a pointer to the Transport factory.

ACE_INLINE const ACE_CString & TAO_AV_Transport_Item::name | ( | void |  | ) |

| return a reference to the character representation of the Transport factories name.

## Member Data Documentation

TAO_AV_Transport_Factory* TAO_AV_Transport_Item::factory_`[private]`

| pointer to factory object.

ACE_CString TAO_AV_Transport_Item::name_`[private]`

| Transport factory name.

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp
- Transport.i